{% extends('/map/mapLayout.twig') %}

{% block css %}


    <!-- MAP CSS -->
    <link rel="stylesheet" href="/css/leaflet.css" />
    <link rel="stylesheet" href="/css/leaflet.draw.css" />
    <link rel="stylesheet" href="/css/leaflet.search.css" />
    <link rel="stylesheet" href="/css/leaflet.mapslider.css" />
    <link rel="stylesheet" href="/css/leaflet.measure.css" />
    <link rel="stylesheet" href="/js/leaflet.markercluster07/MarkerCluster.css" />
    <link rel="stylesheet" href="/js/leaflet.markercluster07/MarkerCluster.Default.css" />
    <link rel="stylesheet" href="/css/L.Control.Locate.css" />
    
    <!-- /. MAP CSS -->


{% endblock %}


{% block js %}

    <!-- LEAFLET -->
    <script src="/js/leaflet.js"></script>
    <script src="/js/leaflet.ajax.js"></script>
    <!--<script src="/js/leaflet.editable.js"></script>-->
    <script src="/js/leaflet.draw.js"></script>

    <script src="/js/leaflet.path.drag.js"></script>
    <script src="/js/leaflet.editable.js"></script>
    <script src="/js/leaflet.geometryutils.js"></script>
    <script src="/js/leaflet.snap.js"></script>

    <script src="/js/leaflet.geodesy.js"></script>
    <script src="/js/leaflet.search.js"></script>
    <script src="/js/leaflet.measure.min.js"></script>
    <script src="/js/leaflet.textpath.js"></script>
    <script src="/js/leaflet.lineextremities.js"></script>

    <!--<script src="/js/leaflet.selectareafeature.js"></script>-->

    <!--<script src="/js/leaflet.markercluster07/leaflet.markercluster-src.js"></script>-->
    <!-- /. LEAFLET -->
    <script src="/js/L.Control.Locate.js" charset="utf-8"></script>


    <!-- SYSMA JS -->
    <script src="/js/map/utils.js?map-width={{mapWidth}}&v={{SYSMA_VERSION_NUMBER}}"></script>
    <script src="/js/map/sysma.js?v={{SYSMA_VERSION_NUMBER}}{{sysma_object_id is defined ? ('&sysma_object_id='~sysma_object_id)|raw }}{{q is defined ? ('&q='~q)|raw }}{{photo is defined ? ('&photo='~photo)|raw }}"></script>
    <!-- /. SYSMA JS -->

    <script type='text/javascript'>
        $('.alert').delay(1500).fadeIn('normal', function () {
            $(this).delay(1000).fadeOut();
        });
        $(document).on('click', '#views-menu', function (e) {
            e.stopPropagation();
        });


        $('#rightColumn').bind('scroll', function () {
            if ($('#rightColumn').scrollTop() > 40) {
                $('#closeSheetBtn').addClass('fixed');  
                $('#closeSheetBtn>a').html('<span class="glyphicon glyphicon-remove"></span>')
            } else {
                $('#closeSheetBtn').removeClass('fixed');
                $('#closeSheetBtn>a').html('<span class="glyphicon glyphicon-remove"></span> Fermer')
            }
        });



    </script>



{% endblock %}
